whatis([==[My compiled version of GPAW]==])

unload("GPAW")

function ld (m)
    if not ( isloaded(m) ) then
        load(m)
    end
end

ld("clusterappl")

local nobackup = os.getenv("MYNOBACKUP")
local root     = pathJoin(nobackup, "git/gpaw/20.1.0")

ld("Python/3.6.7-env-nsc1-gcc-2018a-eb")
-- ld("Python/3.6.3-anaconda-5.0.1-nsc1")
ld("ASE/3.18.0-nsc1")

ld("gpaw-setups/0.9.20000")

setenv("OMP_NUM_THREADS", 1)
prepend_path("PATH", pathJoin(root, "tools"))
prepend_path("PYTHONPATH", root)
prepend_path("PYTHONPATH", pathJoin(root, "build/lib.linux-x86_64-3.7"))
execute {cmd='complete -o default -C "/usr/bin/python3 ' .. root .. '/gpaw/cli/complete.py" gpaw', modeA={"load"}}
